//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    02/28/2003 11:15:43

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_Chassis");
	Svc.SetProfileName ("25043500");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	Svc.DefineThreshold ("Thr_IsLocked_eq", 0.000000);
	Svc.DefineThreshold ("Thr_SecurityBreach_eq_attempt", 4.000000);
	Svc.DefineThreshold ("Thr_SecurityBreach_eq_success", 5.000000);
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_Chassis", "ROOT\\ibmsd:IBMPSG_Chassis", "", "LockPresent,IsLocked,SecurityBreach", "Tag,CreationClassName", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_Chassis_SecurityBreach_is_Attempted", "SecurityBreach", "Tag");
	Svc.DefineEvent ("IBMPSG_Chassis_SecurityBreach_is_Successful", "SecurityBreach", "Tag");
	Svc.DefineEvent ("IBMPSG_Chassis_IsNotLocked", "IsLocked", "Tag");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{
	var curLockPresent;
	var curIsLocked;
	var curSecurityBreach;

	var curTag;
	var curCreationClassName;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_Chassis");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);

		curLockPresent = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Chassis", idx, "LockPresent");
		Svc.SetMapNumElement(hPropTable,"LockPresent",curLockPresent);
		curIsLocked = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Chassis", idx, "IsLocked");
		Svc.SetMapNumElement(hPropTable,"IsLocked",curIsLocked);
		curSecurityBreach = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Chassis", idx, "SecurityBreach");
		Svc.SetMapNumElement(hPropTable,"SecurityBreach",curSecurityBreach);

		curTag = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Chassis", idx, "Tag");
		Svc.SetMapStrElement(hPropTable,"Tag",curTag);
		curCreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Chassis", idx, "CreationClassName");
		Svc.SetMapStrElement(hPropTable,"CreationClassName",curCreationClassName);


		if ( (curIsLocked == Svc.GetThreshold("Thr_IsLocked_eq") ) &&  (curLockPresent == 1) ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_IsLocked_eq"));
			Svc.SendEventEx ("IBMPSG_Chassis_IsNotLocked",hPropTable);
		}
		if (curSecurityBreach == Svc.GetThreshold("Thr_SecurityBreach_eq_success") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_SecurityBreach_eq_success"));
			Svc.SendEventEx ("IBMPSG_Chassis_SecurityBreach_is_Successful",hPropTable);
		}
		if (curSecurityBreach == Svc.GetThreshold("Thr_SecurityBreach_eq_attempt") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_SecurityBreach_eq_success"));
			Svc.SendEventEx ("IBMPSG_Chassis_SecurityBreach_is_Attempted1",hPropTable);
		}

	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

