//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    04/16/2004 16:16:31

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_PhysicalMemory");
	Svc.SetProfileName ("20487671");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	Svc.DefineStrParameter ("Par_Status_nes", "PFA: Memory Status Normal");
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_PhysicalMemory", "ROOT\\ibmsd:IBMPSG_PhysicalMemory", "WHERE Status = \"PFA%\"", "", "Tag,Status,CreationClassName", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_PhysicalMemory_Status_PFA", "", "Tag,CreationClassName,Status");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{

	var curTag;
	var curCreationClassName;
	var curStatus;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_PhysicalMemory");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);


		curTag = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_PhysicalMemory", idx, "Tag");
		Svc.SetMapStrElement(hPropTable,"Tag",curTag);
		curCreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_PhysicalMemory", idx, "CreationClassName");
		Svc.SetMapStrElement(hPropTable,"CreationClassName",curCreationClassName);
		curStatus = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_PhysicalMemory", idx, "Status");
		Svc.SetMapStrElement(hPropTable,"Status",curStatus);


		Different = 1;
		ParamCount = Svc.GetStrParameterCount("Par_Status_nes");
		for (ParamIdx = 0; ParamIdx < ParamCount;  ParamIdx++) {
			if ((curStatus.toLowerCase() + "") == (Svc.GetStrParameter("Par_Status_nes", ParamIdx).toLowerCase())) {
				Different = 0;
				break;
			}
		}
		if (Different == 1) {
			Svc.SendEventEx ("IBMPSG_PhysicalMemory_Status_PFA",hPropTable);
		}
	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

