//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    04/01/2004 10:14:11

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_ServeRAIDOverallStatus");
	Svc.SetProfileName ("59005984");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	Svc.DefineThreshold ("Thr_OverallStatus_Unknown", 4.000000);
	Svc.DefineThreshold ("Thr_OverallStatus_Warning", 2.000000);
	Svc.DefineThreshold ("Thr_OverallStatus_Critical", 3.000000);
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_ServeRAIDOverallStatus", "ROOT\\ibmsd:IBMPSG_ServeRAIDOverallStatus", "", "OverallStatus", "SettingID", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_ServeRAIDOverallStatus_Warning", "OverallStatus,MatchingValue", "SettingID");
	Svc.DefineEvent ("IBMPSG_ServeRAIDOverallStatus_Unknown", "MatchingValue,OverallStatus", "SettingID");
	Svc.DefineEvent ("IBMPSG_ServeRAIDOverallStatus_Critical", "OverallStatus,MatchingValue", "SettingID");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{
	var curOverallStatus;

	var curSettingID;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_ServeRAIDOverallStatus");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);

		curOverallStatus = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_ServeRAIDOverallStatus", idx, "OverallStatus");
		Svc.SetMapNumElement(hPropTable,"OverallStatus",curOverallStatus);

		curSettingID = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_ServeRAIDOverallStatus", idx, "SettingID");
		Svc.SetMapStrElement(hPropTable,"SettingID",curSettingID);


		if (curOverallStatus == Svc.GetThreshold("Thr_OverallStatus_Warning") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_OverallStatus_Warning"));
			Svc.SendEventEx ("IBMPSG_ServeRAIDOverallStatus_Warning",hPropTable);
		}

		if (curOverallStatus == Svc.GetThreshold("Thr_OverallStatus_Critical") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_OverallStatus_Critical"));
			Svc.SendEventEx ("IBMPSG_ServeRAIDOverallStatus_Critical",hPropTable);
		}

		if (curOverallStatus == Svc.GetThreshold("Thr_OverallStatus_Unknown") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_OverallStatus_Unknown"));
			Svc.SendEventEx ("IBMPSG_ServeRAIDOverallStatus_Unknown",hPropTable);
		}

	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

