//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    04/01/2004 15:23:01

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_StorageFailurePredictionSettings");
	Svc.SetProfileName ("2686696218");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	Svc.DefineThreshold ("Thr_PredictsFailure_Critical", 1.000000);
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings", "ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings", "WHERE SmartEnabled =1", "PredictsFailure,SmartEnabled", "DeviceId", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_StorageFailurePredictionSettings_PredictsFailure", "PredictsFailure,MatchingValue", "DeviceId");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{
	var curPredictsFailure;
	var curSmartEnabled;

	var curDeviceId;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);

		curPredictsFailure = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings", idx, "PredictsFailure");
		Svc.SetMapNumElement(hPropTable,"PredictsFailure",curPredictsFailure);
		curSmartEnabled = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings", idx, "SmartEnabled");
		Svc.SetMapNumElement(hPropTable,"SmartEnabled",curSmartEnabled);

		curDeviceId = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_StorageFailurePredictionSettings", idx, "DeviceId");
		Svc.SetMapStrElement(hPropTable,"DeviceId",curDeviceId);


		if (curPredictsFailure == Svc.GetThreshold("Thr_PredictsFailure_Critical") ) {
			Svc.SetMapNumElement(hPropTable,"MatchingValue",Svc.GetThreshold("Thr_PredictsFailure_Critical"));
			Svc.SendEventEx ("IBMPSG_StorageFailurePredictionSettings_PredictsFailure",hPropTable);
		}
	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

