//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    02/14/2003 10:25:17

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_Tachometer");
	Svc.SetProfileName ("7139828");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_Tachometer", "ROOT\\ibmsd:IBMPSG_Tachometer", "", "CurrentReading,LowerThresholdNonCritical,UpperThresholdNonCritical,UpperThresholdCritical,LowerThresholdCritical", "SystemCreationClassName,DeviceID,SystemName,CreationClassName", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_Tachometer_WarningHigh", "CurrentReading,UpperThresholdNonCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_Tachometer_CriticalHigh", "CurrentReading,UpperThresholdCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_Tachometer_CriticalLow", "CurrentReading,LowerThresholdCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_Tachometer_WarningLow", "CurrentReading,LowerThresholdNonCritical", "DeviceID");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	Svc.DefineLogInst ("IBMPSG_Tachometer_Availability", "IBMPSG_Tachometer", "SystemCreationClassName,DeviceID,SystemName,CreationClassName", "CurrentReading", "SystemCreationClassName,DeviceID,SystemName,CreationClassName");
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{
	var LowerThresholdNonCritical;
	var CurrentReading;
	var LowerThresholdCritical;
	var UpperThresholdNonCritical;
	var UpperThresholdCritical;

	var SystemCreationClassName;
	var DeviceID;
	var SystemName;
	var CreationClassName;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_Tachometer");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);

		LowerThresholdNonCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "LowerThresholdNonCritical");
		Svc.SetMapNumElement(hPropTable,"LowerThresholdNonCritical",LowerThresholdNonCritical);
		CurrentReading = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "CurrentReading");
		Svc.SetMapNumElement(hPropTable,"CurrentReading",CurrentReading);
		LowerThresholdCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "LowerThresholdCritical");
		Svc.SetMapNumElement(hPropTable,"LowerThresholdCritical",LowerThresholdCritical);
		UpperThresholdNonCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "UpperThresholdNonCritical");
		Svc.SetMapNumElement(hPropTable,"UpperThresholdNonCritical",UpperThresholdNonCritical);
		UpperThresholdCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "UpperThresholdCritical");
		Svc.SetMapNumElement(hPropTable,"UpperThresholdCritical",UpperThresholdCritical);

		SystemCreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "SystemCreationClassName");
		Svc.SetMapStrElement(hPropTable,"SystemCreationClassName",SystemCreationClassName);
		DeviceID = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "DeviceID");
		Svc.SetMapStrElement(hPropTable,"DeviceID",DeviceID);
		SystemName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "SystemName");
		Svc.SetMapStrElement(hPropTable,"SystemName",SystemName);
		CreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_Tachometer", idx, "CreationClassName");
		Svc.SetMapStrElement(hPropTable,"CreationClassName",CreationClassName);


		if (CurrentReading < LowerThresholdCritical) {
			Svc.SendEventEx ("IBMPSG_Tachometer_CriticalLow",hPropTable);
		}
		else if (CurrentReading < LowerThresholdNonCritical) {
			Svc.SendEventEx ("IBMPSG_Tachometer_WarningLow",hPropTable);
		}
		else if ( (CurrentReading > UpperThresholdCritical) && (UpperThresholdCritical > LowerThresholdCritical) ) {
			Svc.SendEventEx ("IBMPSG_Tachometer_CriticalHigh",hPropTable);
		}
		else if ( (CurrentReading > UpperThresholdNonCritical) && (UpperThresholdNonCritical > LowerThresholdCritical) ) {
			Svc.SendEventEx ("IBMPSG_Tachometer_WarningHigh",hPropTable);
		}
		Svc.LogInstEx ("IBMPSG_Tachometer_Availability","IBMPSG_Tachometer", hPropTable);
	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

