//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
//    IBM Tivoli Monitoring
//    Decision Tree script
//
//    This file has been generated by IBM Tivoli Monitoring Workbench
//
//    02/13/2003 14:01:29

//'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''




// This function is used to define the settings of the resource model
// It is called only once, when the resource model is started.
// Don't modify remarks containing tags like <<....>> ... <<\...>>
// You can write additional initializing code in this function if required. 
function SetDefaultConfiguration (Svc)
{
	// General info section
	//<<GENERAL_INFO>>
	Svc.SetModelName ("WizRM_IBMPSG_VoltageSensor");
	Svc.SetProfileName ("246646671");
	Svc.SetCycleTime (300);
	//<<\GENERAL_INFO>>

	// Thresholds section
	//<<THRESHOLDS_INFO>>
	//<<\THRESHOLDS_INFO>>

	// Parameters section
	//<<PARAMETERS_INFO>>
	//<<\PARAMETERS_INFO>>

	// Dynamic model section
	//<<DATA_INFO>>
	Svc.DefineClass ("CIM", "ROOT\\ibmsd:IBMPSG_VoltageSensor", "ROOT\\ibmsd:IBMPSG_VoltageSensor", "", "LowerThresholdNonCritical,CurrentReading,LowerThresholdFatal,UpperThresholdFatal,UpperThresholdNonCritical,UpperThresholdCritical,LowerThresholdCritical", "SystemCreationClassName,DeviceID,SystemName,CreationClassName", "None", "", 0, 1);
	//<<\DATA_INFO>>

	// Event definition section
	//<<EVENTS_INFO>>
	Svc.DefineEvent ("IBMPSG_VoltageSensor_WarningHigh", "CurrentReading,UpperThresholdNonCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_VoltageSensor_CriticalHigh", "CurrentReading,UpperThresholdCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_VoltageSensor_CriticalLow", "CurrentReading,LowerThresholdCritical", "DeviceID");
	Svc.DefineEvent ("IBMPSG_VoltageSensor_WarningLow", "CurrentReading,LowerThresholdNonCritical", "DeviceID");
	//<<\EVENTS_INFO>>

	// Logging definition section
	//<<LOGGING_INFO>>
	//<<\LOGGING_INFO>>

	// Place your additional intializing code below


	return (0);

}


// This function is called by the DM For Windows Analyzer after that 
// the resource model default settings have been overridden
// It is called only once, when the resource model is started.
// You can write additional initializing code in this function if required
// to use the thresholds and parameters values
function Init(Svc)
{

	return (0);

}



// This function contains the monitoring algorithm
// It is called ciclically after a cycle time has elapsed
// Implement the the monitoring code here
function VisitTree(Svc)
{
	var curCurrentReading;
	var curLowerThresholdNonCritical;
	var curUpperThresholdNonCritical;
	var curLowerThresholdCritical;
	var curUpperThresholdCritical;
	var curSystemCreationClassName;
	var curDeviceID;
	var curSystemName;
	var curCreationClassName;



	var hPropTable;
	var numOfInstances;
	var idx;
	var ParamCount;
	var ParamIdx;
	var Different;

	hPropTable = Svc.CreateMap();

	numOfInstances = Svc.GetNumOfInst("ROOT\\ibmsd:IBMPSG_VoltageSensor");
	for ( idx = 0; idx < numOfInstances; idx++) {

		Svc.RemoveMapAll(hPropTable);

		curLowerThresholdNonCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "LowerThresholdNonCritical");
		Svc.SetMapNumElement(hPropTable,"LowerThresholdNonCritical",curLowerThresholdNonCritical);
		curCurrentReading = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "CurrentReading");
		Svc.SetMapNumElement(hPropTable,"CurrentReading",curCurrentReading);
		curLowerThresholdFatal = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "LowerThresholdFatal");
		Svc.SetMapNumElement(hPropTable,"LowerThresholdFatal",curLowerThresholdFatal);
		curUpperThresholdFatal = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "UpperThresholdFatal");
		Svc.SetMapNumElement(hPropTable,"UpperThresholdFatal",curUpperThresholdFatal);
		curUpperThresholdNonCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "UpperThresholdNonCritical");
		Svc.SetMapNumElement(hPropTable,"UpperThresholdNonCritical",curUpperThresholdNonCritical);
		curUpperThresholdCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "UpperThresholdCritical");
		Svc.SetMapNumElement(hPropTable,"UpperThresholdCritical",curUpperThresholdCritical);
		curLowerThresholdCritical = Svc.GetNumProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "LowerThresholdCritical");
		Svc.SetMapNumElement(hPropTable,"LowerThresholdCritical",curLowerThresholdCritical);

		curSystemCreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "SystemCreationClassName");
		Svc.SetMapStrElement(hPropTable,"SystemCreationClassName",curSystemCreationClassName);
		curDeviceID = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "DeviceID");
		Svc.SetMapStrElement(hPropTable,"DeviceID",curDeviceID);
		curSystemName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "SystemName");
		Svc.SetMapStrElement(hPropTable,"SystemName",curSystemName);
		curCreationClassName = Svc.GetStrProperty("ROOT\\ibmsd:IBMPSG_VoltageSensor", idx, "CreationClassName");
		Svc.SetMapStrElement(hPropTable,"CreationClassName",curCreationClassName);

		if (curCurrentReading > curUpperThresholdCritical ) {
			Svc.SendEventEx ("IBMPSG_VoltageSensor_CriticalHigh",hPropTable);
		}
		else if (curCurrentReading > curUpperThresholdNonCritical) {
			Svc.SendEventEx ("IBMPSG_VoltageSensor_WarningHigh",hPropTable);
		}
		else if (curCurrentReading < curLowerThresholdCritical ) {
			Svc.SendEventEx ("IBMPSG_VoltageSensor_CriticalLow",hPropTable);
		}
		else if (curCurrentReading < curLowerThresholdNonCritical ) {
			Svc.SendEventEx ("IBMPSG_VoltageSensor_WarningLow",hPropTable);
		}
	}

	Svc.DestroyMap(hPropTable);

	return (0);

}

