drop table UMA_Alert_On_Lhhr;

create table UMA_Alert_On_Lhhr (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Retransmission_Int varchar(20),
   Polling_Interval varchar(20),
   Heartbeat_Interval varchar(20),
   HWARE_VER varchar(255),
   Alert_Destination varchar(255),
   Auto_Clear_Events varchar(32),
   Heartbeat_Enabled varchar(32),
   HWARE_Enabled varchar(32),
   Watchdog_Interval varchar(20),
   Watchdog_Enabled varchar(32) );

alter table UMA_Alert_On_Lhhr add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VAlert_On_Lhhr;

create view UMA_VAlert_On_Lhhr
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Alert_On_Lhhr.*
from
   COMPUTER, UMA_Alert_On_Lhhr
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Alert_On_Lhhr.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAlert_On_Lhhr');

drop table UMA_Alert_Stanhhi;

create table UMA_Alert_Stanhhi (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   AlertDestinationAd varchar(255),
   MessageFormat varchar(20),
   RetryCount varchar(20),
   RetryInterval varchar(20),
   ASFEnabled varchar(32),
   PETsEnabled varchar(32),
   HeartBeatsEnabled varchar(32),
   RMCPEnabled varchar(32),
   ASFWoLEnabled varchar(32),
   FirmwareVersion varchar(255),
   HeartbeatInterval varchar(20),
   ASFSourceIP varchar(255),
   MinPollingInterval varchar(20),
   MinWatchdogResetVa varchar(20) );

alter table UMA_Alert_Stanhhi add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VAlert_Stanhhi;

create view UMA_VAlert_Stanhhi
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Alert_Stanhhi.*
from
   COMPUTER, UMA_Alert_Stanhhi
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Alert_Stanhhi.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAlert_Stanhhi');


drop table UMA_AssetID;

create table UMA_AssetID (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   SYS_Name varchar(255),
   SYS_Model varchar(255),
   Product_Name varchar(255),
   Deployment_Image_P varchar(64),
   Deployment_Image_D varchar(25),
   LCCM_Image_PRFL varchar(64),
   LCCM_Image_Date varchar(25),
   SYS_SER_Numb varchar(255),
   SYS_GUID varchar(255),
   SYS_Asset_Numbe varchar(64),
   AssetID_Tag varchar(255),
   Last_Inventoried varchar(25),
   Purchase_Date varchar(25) );

alter table UMA_AssetID add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VAssetID;

create view UMA_VAssetID
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_AssetID.*
from
   COMPUTER, UMA_AssetID
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_AssetID.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAssetID');

drop table UMA_BIOS_Details;

create table UMA_BIOS_Details (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   BIOS_Manufacturer varchar(255),
   BIOS_VER varchar(64),
   BIOS_Release_Date varchar(25),
   SUPP_SMBIOS varchar(32),
   SMBIOS_Major_Versi varchar(20),
   SMBIOS_Minor_Versi varchar(20) );

alter table UMA_BIOS_Details add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VBIOS_Details;

create view UMA_VBIOS_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_BIOS_Details.*
from
   COMPUTER, UMA_BIOS_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_BIOS_Details.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VBIOS_Details');

drop table UMA_Cache;

create table UMA_Cache (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   LEVEL varchar(255),
   SYS_Cache_Size varchar(20),
   SYS_Cache_Write varchar(255),
   Socket_Designation varchar(255),
   Cache_Location varchar(255) );

alter table UMA_Cache add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VCache;

create view UMA_VCache
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Cache.*
from
   COMPUTER, UMA_Cache
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Cache.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCache');

drop table UMA_SYS_Encyoe;

create table UMA_SYS_Encyoe (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Manufacturer varchar(255),
   Type varchar(255),
   Cabinet_Lock_Prese varchar(32) );

alter table UMA_SYS_Encyoe add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VSYS_Encyoe;

create view UMA_VSYS_Encyoe
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SYS_Encyoe.*
from
   COMPUTER, UMA_SYS_Encyoe
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SYS_Encyoe.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Encyoe');

drop table UMA_CIM;

create table UMA_CIM (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   CIM_VER varchar(255) );

alter table UMA_CIM add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VCIM;

create view UMA_VCIM
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_CIM.*
from
   COMPUTER, UMA_CIM
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_CIM.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCIM');

drop table UMA_SYS_Boac1d;

create table UMA_SYS_Boac1d (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   String varchar(255) );

alter table UMA_SYS_Boac1d add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VSYS_Boac1d;

create view UMA_VSYS_Boac1d
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SYS_Boac1d.*
from
   COMPUTER, UMA_SYS_Boac1d
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SYS_Boac1d.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Boac1d');

drop table UMA_IP_NET;

create table UMA_IP_NET (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   IP_ADDR varchar(255),
   IP_Subnet_Mask varchar(255),
   IP_Gateway varchar(255),
   DNS_Servers varchar(255),
   DHCP_Enabled varchar(32),
   DNS_Hostname varchar(255),
   DNS_Domain varchar(255) );

alter table UMA_IP_NET add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VIP_NET;

create view UMA_VIP_NET
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IP_NET.*
from
   COMPUTER, UMA_IP_NET
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IP_NET.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIP_NET');

drop table UMA_IPX_Networc1c;

create table UMA_IPX_Networc1c (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   IPX_Enabled varchar(32),
   IPX_Frame_Type varchar(255),
   IPX_ADDR varchar(255) );

alter table UMA_IPX_Networc1c add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VIPX_Networc1c;

create view UMA_VIPX_Networc1c
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IPX_Networc1c.*
from
   COMPUTER, UMA_IPX_Networc1c
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IPX_Networc1c.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIPX_Networc1c');

drop table UMA_Lease_Infoujc;

create table UMA_Lease_Infoujc (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Lessor varchar(64),
   Lease_ST_Date varchar(25),
   Lease_End_Date varchar(25),
   Lease_Term_months varchar(20),
   Lease_Amount varchar(20) );

alter table UMA_Lease_Infoujc add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VLease_Infoujc;

create view UMA_VLease_Infoujc
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Lease_Infoujc.*
from
   COMPUTER, UMA_Lease_Infoujc
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Lease_Infoujc.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VLease_Infoujc');

drop table UMA_Geographicuj7;

create table UMA_Geographicuj7 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Locale varchar(255),
   Country_Code varchar(255),
   OS_LANG varchar(20),
   Code_Set varchar(6) );

alter table UMA_Geographicuj7 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VGeographicuj7;

create view UMA_VGeographicuj7
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Geographicuj7.*
from
   COMPUTER, UMA_Geographicuj7
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Geographicuj7.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VGeographicuj7');

drop table UMA_MEM_Detf0m;

create table UMA_MEM_Detf0m (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV_Locator varchar(255),
   siz varchar(20),
   Form_Factor varchar(255),
   Type varchar(255),
   Speed varchar(20),
   Data_Width varchar(20),
   Total_Width varchar(20) );

alter table UMA_MEM_Detf0m add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VMEM_Detf0m;

create view UMA_VMEM_Detf0m
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_MEM_Detf0m.*
from
   COMPUTER, UMA_MEM_Detf0m
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_MEM_Detf0m.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VMEM_Detf0m');

drop table UMA_NET_Def0l;

create table UMA_NET_Def0l (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   NET_Adapter varchar(255),
   NET_DRV varchar(255),
   MAC_ADDR varchar(255) );

alter table UMA_NET_Def0l add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VNET_Def0l;

create view UMA_VNET_Def0l
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_NET_Def0l.*
from
   COMPUTER, UMA_NET_Def0l
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_NET_Def0l.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VNET_Def0l');

drop table UMA_Personalizsq3;

create table UMA_Personalizsq3 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Label1 varchar(64),
   Data1 varchar(64),
   Label2 varchar(64),
   Data2 varchar(64),
   Label3 varchar(64),
   Data3 varchar(64),
   Label4 varchar(64),
   Data4 varchar(64),
   Label5 varchar(64),
   Data5 varchar(64) );

alter table UMA_Personalizsq3 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VPersonalizsq3;

create view UMA_VPersonalizsq3
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Personalizsq3.*
from
   COMPUTER, UMA_Personalizsq3
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Personalizsq3.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPersonalizsq3');

drop table UMA_Port_Conneoit;

create table UMA_Port_Conneoit (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Logical_Name varchar(255),
   Connector_Type varchar(255),
   Port_Type varchar(255),
   Tag varchar(255),
   Internal_Ports varchar(255) );

alter table UMA_Port_Conneoit add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VPort_Conneoit;

create view UMA_VPort_Conneoit
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Port_Conneoit.*
from
   COMPUTER, UMA_Port_Conneoit
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Port_Conneoit.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPort_Conneoit');

drop table UMA_Processor_f0j;

create table UMA_Processor_f0j (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Processor varchar(255),
   Family varchar(255),
   Clock_Speed varchar(20),
   External_Clock_Spe varchar(20),
   Max_Clock_Speed varchar(20),
   Manufacturer varchar(255),
   Processor_ID varchar(255),
   Processor_Type varchar(255) );

alter table UMA_Processor_f0j add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VProcessor_f0j;

create view UMA_VProcessor_f0j
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Processor_f0j.*
from
   COMPUTER, UMA_Processor_f0j
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Processor_f0j.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VProcessor_f0j');

drop table UMA_SER_Numuj4;

create table UMA_SER_Numuj4 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Asset varchar(255),
   SER_NUM varchar(23),
   Manufacturer varchar(255),
   Model varchar(255),
   Type varchar(255) );

alter table UMA_SER_Numuj4 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VSER_Numuj4;

create view UMA_VSER_Numuj4
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SER_Numuj4.*
from
   COMPUTER, UMA_SER_Numuj4
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SER_Numuj4.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSER_Numuj4');

drop table UMA_SYS_Slots;

create table UMA_SYS_Slots (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Slot_Type varchar(255),
   Slot_Data_Bus_Widt varchar(255),
   SUPP_Hot_Plug varchar(32),
   Current_Usage varchar(255),
   SlotDesignation varchar(255),
   Shared_Slot_Openin varchar(32),
   SUPP_PME_Signa varchar(32),
   Tag varchar(255) );

alter table UMA_SYS_Slots add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VSYS_Slots;

create view UMA_VSYS_Slots
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SYS_Slots.*
from
   COMPUTER, UMA_SYS_Slots
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SYS_Slots.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSYS_Slots');

drop table UMA_SNMP_Agentc1b;

create table UMA_SNMP_Agentc1b (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   SNMP_Traps_Enabled varchar(32),
   Trap_Destinations varchar(255) );

alter table UMA_SNMP_Agentc1b add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VSNMP_Agentc1b;

create view UMA_VSNMP_Agentc1b
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SNMP_Agentc1b.*
from
   COMPUTER, UMA_SNMP_Agentc1b
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SNMP_Agentc1b.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSNMP_Agentc1b');

drop table UMA_IBM_UM_Seroqd;

create table UMA_IBM_UM_Seroqd (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Name varchar(255),
   VER varchar(64),
   Build_NUM varchar(64),
   HTTPD_Port varchar(20),
   SNMP_Traps_Enabled varchar(32),
   Trap_Destinations varchar(255) );

alter table UMA_IBM_UM_Seroqd add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VIBM_UM_Seroqd;

create view UMA_VIBM_UM_Seroqd
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IBM_UM_Seroqd.*
from
   COMPUTER, UMA_IBM_UM_Seroqd
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IBM_UM_Seroqd.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIBM_UM_Seroqd');

drop table UMA_User_Details;

create table UMA_User_Details (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   User_Name varchar(64),
   User_Phone varchar(64),
   User_Department varchar(64),
   User_Position varchar(64),
   SYS_Location varchar(64) );

alter table UMA_User_Details add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VUser_Details;

create view UMA_VUser_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_User_Details.*
from
   COMPUTER, UMA_User_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_User_Details.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VUser_Details');

drop table UMA_VID_Details;

create table UMA_VID_Details (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Manufacturer varchar(255),
   DESCRIP varchar(255),
   Current_Vertical_R varchar(20),
   Current_Horizontal varchar(20),
   Current_NUM_of varchar(20),
   VID_RAM_MEM_S varchar(20),
   DRV_Filename varchar(255),
   Current_Refresh_Ra varchar(20),
   Color_Depth varchar(20) );

alter table UMA_VID_Details add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VVID_Details;

create view UMA_VVID_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_VID_Details.*
from
   COMPUTER, UMA_VID_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_VID_Details.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VVID_Details');

drop table UMA_Warranty_Iuj9;

create table UMA_Warranty_Iuj9 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Warranty_Duration varchar(20),
   Warranty_End_Date varchar(25),
   Warranty_Cost varchar(20) );

alter table UMA_Warranty_Iuj9 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VWarranty_Iuj9;

create view UMA_VWarranty_Iuj9
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Warranty_Iuj9.*
from
   COMPUTER, UMA_Warranty_Iuj9
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Warranty_Iuj9.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VWarranty_Iuj9');

drop view UMS_VINST_UMS;

create view UMS_VINST_UMS
as
select
    COMPUTER.COMPUTER_SYS_ID,
    COMPUTER.TME_OBJECT_ID,
    COMPUTER.TME_OBJECT_LABEL,
    FILE_DESC.FILE_NAME,
    FILE_DESC.FILE_SIZE,
    FILE_PATH.PATH,
    UNMATCHED_FILES.MODIFIED_TIME

from
    COMPUTER,
    UNMATCHED_FILES,
    FILE_DESC,
    FILE_PATH
where
    COMPUTER.COMPUTER_SYS_ID =
    UNMATCHED_FILES.COMPUTER_SYS_ID
AND
    UNMATCHED_FILES.FILE_DESC_ID =
    FILE_DESC.FILE_DESC_ID
AND
    UNMATCHED_FILES.INST_PATH_ID =
    FILE_PATH.FILE_PATH_ID
and 
    UPPER(FILE_DESC.FILE_NAME) = 'UMSLMSENSOR.MOF';    

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VINST_UMS');

drop view UMS_VIP_MAC_ADDR;

create view UMS_VIP_MAC_ADDR
as
select
    COMPUTER.COMPUTER_SYS_ID,
    COMPUTER.TME_OBJECT_ID,
    COMPUTER.TME_OBJECT_LABEL,
    UMA_Net_Def0l.MAC_Addr,
    UMA_IP_Net.IP_Addr,
    UMA_IP_Net.IP_Subnet_Mask

from
    COMPUTER,
    UMA_Net_Def0l,
    UMA_IP_Net
where
    COMPUTER.COMPUTER_SYS_ID =
    UMA_Net_Def0l.COMPUTER_SYS_ID
and 
    COMPUTER.COMPUTER_SYS_ID =
    UMA_IP_Net.COMPUTER_SYS_ID
and
    UMA_Net_Details.Row_Index =
    UMA_IP_Net.Row_Index;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VIP_MAC_ADDR');

drop table UMA_DMI;

create table UMA_DMI (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Ver varchar(64),
   Product varchar(64),
   Win32_DMI_Director varchar(64) );
alter table UMA_DMI add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VDMI;

create view UMA_VDMI
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_DMI.*
from
   COMPUTER, UMA_DMI
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_DMI.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VDMI');


drop table UMA_FRU_Serviccnz;

create table UMA_FRU_Serviccnz (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Name varchar(255),
   FRUNum varchar(255),
   IdentifyingNum varchar(255),
   Vendor varchar(255),
   RevisionLevel varchar(255),
   DESCRIP varchar(255) );

alter table UMA_FRU_Serviccnz add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VFRU_Serviccnz;

create view UMA_VFRU_Serviccnz
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_FRU_Serviccnz.*
from
   COMPUTER, UMA_FRU_Serviccnz
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_FRU_Serviccnz.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VFRU_Serviccnz');


drop table UMA_Firmware;

create table UMA_Firmware (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   Name varchar(255),
   BIOS_Manufacturer varchar(255),
   DESCRIP varchar(255),
   BIOS_VER varchar(255),
   BuildNum varchar(255) );


alter table UMA_Firmware add primary key ( COMPUTER_SYS_ID, Row_Index );


drop view UMA_VFirmware;

create view UMA_VFirmware
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Firmware.*
from
   COMPUTER, UMA_Firmware
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Firmware.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VFirmware');


drop table UMA_ServeRAID_nj3;

create table UMA_ServeRAID_nj3 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   Model varchar(64),
   Manufacturer varchar(64),
   Slot varchar(20),
   BIOS_VER varchar(64),
   Firmware_VER varchar(64),
   DRV_VER varchar(64),
   Stripe_Size varchar(20),
   Initiator_IDs varchar(32),
   Clustering varchar(32),
   Cache_Battery_Stat varchar(255) );

alter table UMA_ServeRAID_nj3 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VServeRAID_nj3;

create view UMA_VServeRAID_nj3
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_nj3.*
from
   COMPUTER, UMA_ServeRAID_nj3
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_nj3.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_nj3');



drop table UMA_ServeRAID_9sh;

create table UMA_ServeRAID_9sh (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   ChannelID varchar(64),
   CNTRL varchar(64),
   Firmware varchar(64),
   Capacity varchar(64),
   Manufacturer varchar(64),
   Model varchar(64),
   FRU varchar(64),
   SER_NUM varchar(64) );

alter table UMA_ServeRAID_9sh add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VServeRAID_9sh;

create view UMA_VServeRAID_9sh
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_9sh.*
from
   COMPUTER, UMA_ServeRAID_9sh
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_9sh.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_9sh');



drop table UMA_ServeRAID_14g;

create table UMA_ServeRAID_14g (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   ChannelID varchar(64),
   CNTRL varchar(64),
   FirmwareLevel varchar(64),
   Manufacturer varchar(64),
   Model varchar(64),
   SER_NUM varchar(64) );

alter table UMA_ServeRAID_14g add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VServeRAID_14g;

create view UMA_VServeRAID_14g
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_14g.*
from
   COMPUTER, UMA_ServeRAID_14g
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_14g.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_14g');



drop table UMA_ServeRAID_rx0;

create table UMA_ServeRAID_rx0 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   LOG_DRV varchar(64),
   CNTRL varchar(64),
   ArrayID varchar(64),
   RAID_Level varchar(32),
   Data_Space varchar(20),
   Install_Date varchar(25) );

alter table UMA_ServeRAID_rx0 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VServeRAID_rx0;

create view UMA_VServeRAID_rx0
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_rx0.*
from
   COMPUTER, UMA_ServeRAID_rx0
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_rx0.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_rx0');





drop table UMA_RAID_Contrnj8;

create table UMA_RAID_Contrnj8 (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   Model varchar(64),
   Manufacturer varchar(64),
   Slot varchar(20),
   BIOS_VER varchar(64),
   Firmware_VER varchar(64),
   DRV_VER varchar(64),
   Stripe_Size varchar(20),
   Initiator_IDs varchar(32),
   Clustering varchar(32),
   Cache_Battery_Stat varchar(255) );

alter table UMA_RAID_Contrnj8 add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VRAID_Contrnj8;

create view UMA_VRAID_Contrnj8
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Contrnj8.*
from
   COMPUTER, UMA_RAID_Contrnj8
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Contrnj8.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Contrnj8');



drop table UMA_RAID_Disk_9sc;

create table UMA_RAID_Disk_9sc (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   ChannelID varchar(64),
   CNTRL varchar(64),
   Firmware varchar(64),
   Capacity varchar(64),
   Manufacturer varchar(64),
   Model varchar(64),
   FRU varchar(64),
   SER_NUM varchar(64) );

alter table UMA_RAID_Disk_9sc add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VRAID_Disk_9sc;

create view UMA_VRAID_Disk_9sc
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Disk_9sc.*
from
   COMPUTER, UMA_RAID_Disk_9sc
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Disk_9sc.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Disk_9sc');



drop table UMA_RAID_Enclo14l;

create table UMA_RAID_Enclo14l (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   DEV varchar(64),
   ChannelID varchar(64),
   CNTRL varchar(64),
   Firmware_Level varchar(64),
   Manufacturer varchar(64),
   Model varchar(64),
   SER_NUM varchar(64) );

alter table UMA_RAID_Enclo14l add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VRAID_Enclo14l;

create view UMA_VRAID_Enclo14l
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Enclo14l.*
from
   COMPUTER, UMA_RAID_Enclo14l
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Enclo14l.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Enclo14l');



drop table UMA_RAID_Logicrwv;

create table UMA_RAID_Logicrwv (
   COMPUTER_SYS_ID varchar(64) NOT NULL,
   Row_Index varchar(5) NOT NULL,
   LOG_DRV varchar(64),
   CNTRL varchar(64),
   ArrayID varchar(64),
   RAID_Level varchar(32),
   Data_Space varchar(20),
   Install_Date varchar(25) );

alter table UMA_RAID_Logicrwv add primary key ( COMPUTER_SYS_ID, Row_Index );

drop view UMA_VRAID_Logicrwv;

create view UMA_VRAID_Logicrwv
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Logicrwv.*
from
   COMPUTER, UMA_RAID_Logicrwv
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Logicrwv.COMPUTER_SYS_ID;

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Logicrwv');


commit;


