--  @(#)35    1.46  ums_ms_sql_schema.sql, inventory, inventory_4.2  9/18/02  04:18:01
--
-- Licensed Materials - Property of IBM
--
-- 
--
-- (C) Copyright IBM Corp. 2002, 2002, 2003 All Rights Reserved
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp
--
--
-- ums_ms_sql_schema.sql
--
-- This script is for a new installation of Director Agent Integration

--
-- Alert on LAN Table and View    
drop table UMA_Alert_On_LAN_Settings
go

create table UMA_Alert_On_LAN_Settings (
   COMPUTER_SYS_ID         varchar(64)    NOT NULL,
   Row_Index               varchar(5)     NOT NULL,
   Retransmission_Interval varchar(20)    NULL,
   Polling_Interval        varchar(20)    NULL,
   Heartbeat_Interval      varchar(20)    NULL,
   Hardware_Version        varchar(255)   NULL,
   Alert_Destination       varchar(255)   NULL,
   Auto_Clear_Events       varchar(32)    NULL,
   Heartbeat_Enabled       varchar(32)    NULL,
   Hardware_Enabled        varchar(32)    NULL,
   Watchdog_Interval       varchar(20)    NULL,
   Watchdog_Enabled        varchar(32)    NULL )
go

alter table UMA_Alert_On_LAN_Settings add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VAlert_On_LAN_Settings
go

create view UMA_VAlert_On_LAN_Settings
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Alert_On_LAN_Settings.*
from
   COMPUTER, UMA_Alert_On_LAN_Settings
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Alert_On_LAN_Settings.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAlert_On_LAN_Settings')
go

--
-- ASF Table and View
drop table UMA_Alert_Standard_Format_hhi
go

create table UMA_Alert_Standard_Format_hhi (
   COMPUTER_SYS_ID         varchar(64)    NOT NULL,
   Row_Index               varchar(5)     NOT NULL,
   AlertDestinationAddress varchar(255)   NULL,
   MessageFormat           varchar(20)    NULL,
   RetryCount              varchar(20)    NULL,
   RetryInterval           varchar(20)    NULL,
   ASFEnabled              varchar(32)    NULL,
   PETsEnabled             varchar(32)    NULL,
   HeartBeatsEnabled       varchar(32)    NULL,
   RMCPEnabled             varchar(32)    NULL,
   ASFWoLEnabled           varchar(32)    NULL,
   FirmwareVersion         varchar(255)   NULL,
   HeartbeatInterval       varchar(20)    NULL,
   ASFSourceIP             varchar(255)   NULL,
   MinPollingInterval      varchar(20)    NULL,
   MinWatchdogResetValue   varchar(20)    NULL )
go

alter table UMA_Alert_Standard_Format_hhi add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VAlert_Standard_Format_hhi
go

create view UMA_VAlert_Standard_Format_hhi
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Alert_Standard_Format_hhi.*
from
   COMPUTER, UMA_Alert_Standard_Format_hhi
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Alert_Standard_Format_hhi.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAlert_Standard_Format_hhi')
go

--
-- Asset ID Table and View
drop table UMA_AssetID
go

create table UMA_AssetID (
   COMPUTER_SYS_ID           varchar(64)    NOT NULL,
   Row_Index                 varchar(5)     NOT NULL,
   System_Name               varchar(255)   NULL,
   System_Model              varchar(255)   NULL,
   Product_Name              varchar(255)   NULL,
   Deployment_Image_Profile  varchar(20)    NULL,
   Deployment_Image_Date     varchar(25)    NULL,
   LCCM_Image_Profile        varchar(20)    NULL,
   LCCM_Image_Date           varchar(25)    NULL,
   System_Serial_Number      varchar(255)   NULL,
   System_GUID               varchar(255)   NULL,
   System_Asset_Number       varchar(32)    NULL,
   AssetID_Tag               varchar(255)   NULL,
   Last_Inventoried          varchar(25)    NULL,
   Purchase_Date             varchar(25)    NULL )
go

alter table UMA_AssetID add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VAssetID
go

create view UMA_VAssetID
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_AssetID.*
from
   COMPUTER, UMA_AssetID
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_AssetID.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VAssetID')
go


--
-- BIOS Table and View
drop table UMA_BIOS_Details
go

create table UMA_BIOS_Details (
   COMPUTER_SYS_ID         varchar(64)    NOT NULL,
   Row_Index               varchar(5)     NOT NULL,
   BIOS_Manufacturer       varchar(255)   NULL,
   BIOS_Version            varchar(64)    NULL,
   BIOS_Release_Date       varchar(25)    NULL,
   Supports_SMBIOS         varchar(32)    NULL,
   SMBIOS_Major_Version    varchar(20)    NULL,
   SMBIOS_Minor_Version    varchar(20)    NULL )
go

alter table UMA_BIOS_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VBIOS_Details
go

create view UMA_VBIOS_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_BIOS_Details.*
from
   COMPUTER, UMA_BIOS_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_BIOS_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VBIOS_Details')
go

--
-- Cache Table and View
drop table UMA_Cache
go

create table UMA_Cache (
   COMPUTER_SYS_ID            varchar(64)    NOT NULL,
   Row_Index                  varchar(5)     NOT NULL,
   level_                     varchar(255)   NULL,
   System_Cache_Size          varchar(20)    NULL,
   System_Cache_Write_Policy  varchar(255)   NULL,
   Socket_Designation         varchar(255)   NULL,
   Cache_Location             varchar(255)   NULL )
go

alter table UMA_Cache add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VCache
go

create view UMA_VCache
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Cache.*
from
   COMPUTER, UMA_Cache
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Cache.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCache')
go

--
-- CIM Table and View
drop table UMA_CIM
go

create table UMA_CIM (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   CIM_Version          varchar(255)   NULL )
go

alter table UMA_CIM add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VCIM
go

create view UMA_VCIM
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_CIM.*
from
   COMPUTER, UMA_CIM
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_CIM.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VCIM')
go

--
-- Firmware Table and View
drop table UMA_Firmware
go

create table UMA_Firmware (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Name              varchar(255)   NULL,
   BIOS_Manufacturer varchar(255)   NULL,
   Description       varchar(255)   NULL,
   BIOS_Version      varchar(255)   NULL,
   BuildNumber       varchar(255)   NULL )
go

alter table UMA_Firmware add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VFirmware
go

create view UMA_VFirmware
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Firmware.*
from
   COMPUTER, UMA_Firmware
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Firmware.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VFirmware')
go

--
-- FRU Table and View
drop table UMA_FRU_Service_Numbers
go

create table UMA_FRU_Service_Numbers (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Name              varchar(255)   NULL,
   FRUNumber         varchar(255)   NULL,
   IdentifyingNumber varchar(255)   NULL,
   Vendor            varchar(255)   NULL,
   RevisionLevel     varchar(255)   NULL,
   Description       varchar(255)   NULL )
go

alter table UMA_FRU_Service_Numbers add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VFRU_Service_Numbers
go

create view UMA_VFRU_Service_Numbers
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_FRU_Service_Numbers.*
from
   COMPUTER, UMA_FRU_Service_Numbers
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_FRU_Service_Numbers.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VFRU_Service_Numbers')
go


--
-- Geographic Info Table and View
drop table UMA_Geographic_Information
go

create table UMA_Geographic_Information (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Locale            varchar(255)   NULL,
   Country_Code      varchar(255)   NULL,
   OS_Language       varchar(20)    NULL,
   Code_Set          varchar(255)   NULL )
go

alter table UMA_Geographic_Information add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VGeographic_Information
go

create view UMA_VGeographic_Information
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Geographic_Information.*
from
   COMPUTER, UMA_Geographic_Information
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Geographic_Information.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VGeographic_Information')
go

--
-- IBM UM Services Table and View
drop table UMA_IBM_UM_Services
go

create table UMA_IBM_UM_Services (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   Name                 varchar(255)   NULL,
   Version              varchar(64)    NULL,
   Build_Number         varchar(64)    NULL,
   HTTPD_Port           varchar(20)    NULL,
   SNMP_Traps_Enabled   varchar(32)    NULL,
   Trap_Destinations    varchar(255)   NULL )
go

alter table UMA_IBM_UM_Services add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VIBM_UM_Services
go

create view UMA_VIBM_UM_Services
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IBM_UM_Services.*
from
   COMPUTER, UMA_IBM_UM_Services
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IBM_UM_Services.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIBM_UM_Services')
go

--
-- Install Agent Table and View
drop view UMS_VINSTALLED_UMS_AGENT
go

create view UMS_VINSTALLED_UMS_AGENT
as
select
    COMPUTER.COMPUTER_SYS_ID,
    COMPUTER.TME_OBJECT_ID,
    COMPUTER.TME_OBJECT_LABEL,
    FILE_DESC.FILE_NAME,
    FILE_DESC.FILE_SIZE,
    FILE_PATH.PATH,
    UNMATCHED_FILES.MODIFIED_TIME

from
    COMPUTER,
    UNMATCHED_FILES,
    FILE_DESC,
    FILE_PATH
where
    COMPUTER.COMPUTER_SYS_ID =
    UNMATCHED_FILES.COMPUTER_SYS_ID
AND
    UNMATCHED_FILES.FILE_DESC_ID =
    FILE_DESC.FILE_DESC_ID
AND
    UNMATCHED_FILES.INST_PATH_ID =
    FILE_PATH.FILE_PATH_ID
and 
    upper(FILE_DESC.FILE_NAME) = 'UMSLMSENSOR.MOF'    

go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VINSTALLED_UMS_AGENT')
go

--
-- IP MAC Address View
drop view UMS_VIP_MAC_ADDRESS
go

create view UMS_VIP_MAC_ADDRESS
as
select
    COMPUTER.COMPUTER_SYS_ID,
    COMPUTER.TME_OBJECT_ID,
    COMPUTER.TME_OBJECT_LABEL,
    UMA_Network_Details.MAC_Address,
    UMA_IP_Network_Configuration.IP_Address,
    UMA_IP_Network_Configuration.IP_Subnet_Mask
    
from
    COMPUTER,
    UMA_Network_Details,
    UMA_IP_Network_Configuration
where
    COMPUTER.COMPUTER_SYS_ID =
    UMA_Network_Details.COMPUTER_SYS_ID
and 
    COMPUTER.COMPUTER_SYS_ID =
    UMA_IP_Network_Configuration.COMPUTER_SYS_ID
and
    UMA_Network_Details.Row_Index =
    UMA_IP_Network_Configuration.Row_Index
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMS_VIP_MAC_ADDRESS')
go

--
-- IP Table and View
drop table UMA_IP_Network_Configuration
go

create table UMA_IP_Network_Configuration (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   IP_Address        varchar(255)   NULL,
   IP_Subnet_Mask    varchar(255)   NULL,
   IP_Gateway        varchar(255)   NULL,
   DNS_Servers       varchar(255)   NULL,
   DHCP_Enabled      varchar(32)    NULL,
   DNS_Hostname      varchar(255)   NULL,
   DNS_Domain        varchar(255)   NULL )
go

alter table UMA_IP_Network_Configuration add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VIP_Network_Configuration
go

create view UMA_VIP_Network_Configuration
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IP_Network_Configuration.*
from
   COMPUTER, UMA_IP_Network_Configuration
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IP_Network_Configuration.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIP_Network_Configuration')
go

--
-- IPX Table and View
drop table UMA_IPX_Network_Configuration
go

create table UMA_IPX_Network_Configuration (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   IPX_Enabled       varchar(32)    NULL,
   IPX_Frame_Type    varchar(255)   NULL,
   IPX_Address       varchar(255)   NULL )
go

alter table UMA_IPX_Network_Configuration add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VIPX_Network_Configuration
go

create view UMA_VIPX_Network_Configuration
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_IPX_Network_Configuration.*
from
   COMPUTER, UMA_IPX_Network_Configuration
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_IPX_Network_Configuration.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VIPX_Network_Configuration')
go

--
-- Lease Table and View
drop table UMA_Lease_Information
go

create table UMA_Lease_Information (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   Lessor               varchar(64)    NULL,
   Lease_Start_Date     varchar(25)    NULL,
   Lease_End_Date       varchar(25)    NULL,
   Lease_Term__months_  varchar(20)    NULL,
   Lease_Amount         varchar(10)    NULL )
go

alter table UMA_Lease_Information add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VLease_Information
go

create view UMA_VLease_Information
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Lease_Information.*
from
   COMPUTER, UMA_Lease_Information
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Lease_Information.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VLease_Information')
go

--
-- Memory Table and View
drop table UMA_Memory_Details
go

create table UMA_Memory_Details (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Device_Locator    varchar(255)   NULL,
   siz_              varchar(20)    NULL,
   Form_Factor       varchar(255)   NULL,
   Type              varchar(255)   NULL,
   Speed             varchar(20)    NULL,
   Data_Width        varchar(20)    NULL,
   Total_Width       varchar(20)    NULL )
go

alter table UMA_Memory_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VMemory_Details
go

create view UMA_VMemory_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Memory_Details.*
from
   COMPUTER, UMA_Memory_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Memory_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VMemory_Details')
go

--
-- Network Table and View
drop table UMA_Network_Details
go

create table UMA_Network_Details (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Network_Adapter   varchar(255)   NULL,
   Network_Driver    varchar(255)   NULL,
   MAC_Address       varchar(255)   NULL )
go

alter table UMA_Network_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VNetwork_Details
go

create view UMA_VNetwork_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Network_Details.*
from
   COMPUTER, UMA_Network_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Network_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VNetwork_Details')
go

--
-- Personalized Data Table and View
drop table UMA_Personalized_Data
go

create table UMA_Personalized_Data (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Label1            varchar(32)    NULL,
   Data1             varchar(32)    NULL,
   Label2            varchar(32)    NULL,
   Data2             varchar(32)    NULL,
   Label3            varchar(32)    NULL,
   Data3             varchar(32)    NULL,
   Label4            varchar(32)    NULL,
   Data4             varchar(32)    NULL,
   Label5            varchar(32)    NULL,
   Data5             varchar(32)    NULL )
go

alter table UMA_Personalized_Data add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VPersonalized_Data
go

create view UMA_VPersonalized_Data
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Personalized_Data.*
from
   COMPUTER, UMA_Personalized_Data
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Personalized_Data.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPersonalized_Data')
go

--
-- Ports Table and View
drop table UMA_Port_Connectors
go

create table UMA_Port_Connectors (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Logical_Name      varchar(255)   NULL,
   Connector_Type    varchar(255)   NULL,
   Port_Type         varchar(255)   NULL,
   Tag               varchar(255)   NULL,
   Internal_Ports    varchar(255)   NULL )
go

alter table UMA_Port_Connectors add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VPort_Connectors
go

create view UMA_VPort_Connectors
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Port_Connectors.*
from
   COMPUTER, UMA_Port_Connectors
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Port_Connectors.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VPort_Connectors')
go

--
-- Processor Table and View
drop table UMA_Processor_Details
go

create table UMA_Processor_Details (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   Processor            varchar(255)   NULL,
   Family               varchar(255)   NULL,
   Clock_Speed          varchar(20)    NULL,
   External_Clock_Speed varchar(20)    NULL,
   Max_Clock_Speed      varchar(20)    NULL,
   Manufacturer         varchar(255)   NULL,
   Processor_ID         varchar(255)   NULL,
   Processor_Type       varchar(255)   NULL )
go

alter table UMA_Processor_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VProcessor_Details
go

create view UMA_VProcessor_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Processor_Details.*
from
   COMPUTER, UMA_Processor_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Processor_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VProcessor_Details')
go

--
-- Serial Numbers Table and View
drop table UMA_Serial_Number_Information
go

create table UMA_Serial_Number_Information (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Asset             varchar(255)   NULL,
   Serial_Number     varchar(23)    NULL,
   Manufacturer      varchar(255)   NULL,
   Model             varchar(255)   NULL,
   Type              varchar(255)   NULL )
go

alter table UMA_Serial_Number_Information add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VSerial_Number_Information
go

create view UMA_VSerial_Number_Information
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Serial_Number_Information.*
from
   COMPUTER, UMA_Serial_Number_Information
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Serial_Number_Information.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSerial_Number_Information')
go

--
-- SNMP Agent Table and View
drop table UMA_SNMP_Agent_Configuration
go

create table UMA_SNMP_Agent_Configuration (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   SNMP_Traps_Enabled   varchar(32)    NULL,
   Trap_Destinations    varchar(255)   NULL )
go

alter table UMA_SNMP_Agent_Configuration add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VSNMP_Agent_Configuration
go

create view UMA_VSNMP_Agent_Configuration
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_SNMP_Agent_Configuration.*
from
   COMPUTER, UMA_SNMP_Agent_Configuration
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_SNMP_Agent_Configuration.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSNMP_Agent_Configuration')
go

--
-- System Board Table and View
drop table UMA_System_Board_Configurac1d
go

create table UMA_System_Board_Configurac1d (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   String            varchar(255)   NULL )
go

alter table UMA_System_Board_Configurac1d add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VSystem_Board_Configurac1d
go

create view UMA_VSystem_Board_Configurac1d
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_System_Board_Configurac1d.*
from
   COMPUTER, UMA_System_Board_Configurac1d
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_System_Board_Configurac1d.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSystem_Board_Configurac1d')
go

--
-- System Enclosure Table and View
drop table UMA_System_Enclosure
go

create table UMA_System_Enclosure (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   Manufacturer         varchar(255)   NULL,
   Type                 varchar(255)   NULL,
   Cabinet_Lock_Present varchar(32)    NULL )
go

alter table UMA_System_Enclosure add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VSystem_Enclosure
go

create view UMA_VSystem_Enclosure
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_System_Enclosure.*
from
   COMPUTER, UMA_System_Enclosure
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_System_Enclosure.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSystem_Enclosure')
go

--
-- System Slots Table and View
drop table UMA_System_Slots
go

create table UMA_System_Slots (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   Slot_Type            varchar(255)   NULL,
   Slot_Data_Bus_Width  varchar(20)    NULL,
   Supports_Hot_Plug    varchar(32)    NULL,
   Current_Usage        varchar(255)   NULL,
   SlotDesignation      varchar(255)   NULL,
   Shared_Slot_Opening  varchar(32)    NULL,
   Supports_PME_Signal  varchar(32)    NULL,
   Tag                  varchar(255)   NULL )
go

alter table UMA_System_Slots add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VSystem_Slots
go

create view UMA_VSystem_Slots
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_System_Slots.*
from
   COMPUTER, UMA_System_Slots
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_System_Slots.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VSystem_Slots')
go

--
-- User Table and View
drop table UMA_User_Details
go

create table UMA_User_Details (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   User_Name         varchar(64)    NULL,
   User_Phone        varchar(20)    NULL,
   User_Department   varchar(64)    NULL,
   User_Position     varchar(64)    NULL,
   System_Location   varchar(64)    NULL )
go

alter table UMA_User_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VUser_Details
go

create view UMA_VUser_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_User_Details.*
from
   COMPUTER, UMA_User_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_User_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VUser_Details')
go

--
-- Video Table and View
drop table UMA_Video_Details
go

create table UMA_Video_Details (
   COMPUTER_SYS_ID                  varchar(64)    NOT NULL,
   Row_Index                        varchar(5)     NOT NULL,
   Manufacturer                     varchar(255)   NULL,
   Description                      varchar(255)   NULL,
   Current_Vertical_Resolution      varchar(20)    NULL,
   Current_Horizontal_Resolution    varchar(20)    NULL,
   Current_Number_of_Bits_per_Pix   varchar(20)    NULL,
   Video_RAM_Memory_Size            varchar(20)    NULL,
   Driver_Filename                  varchar(255)   NULL,
   Current_Refresh_Rate             varchar(20)    NULL,
   Color_Depth                      varchar(20)    NULL )
go

alter table UMA_Video_Details add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VVideo_Details
go

create view UMA_VVideo_Details
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Video_Details.*
from
   COMPUTER, UMA_Video_Details
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Video_Details.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VVideo_Details')
go

--
-- Warranty Table and View
drop table UMA_Warranty_Information
go

create table UMA_Warranty_Information (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   Warranty_Duration varchar(20)    NULL,
   Warranty_End_Date varchar(25)    NULL,
   Warranty_Cost     varchar(10)    NULL )
go

alter table UMA_Warranty_Information add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VWarranty_Information
go

create view UMA_VWarranty_Information
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_Warranty_Information.*
from
   COMPUTER, UMA_Warranty_Information
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_Warranty_Information.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VWarranty_Information')
go

--
-- ServeRAID Controller Table and View
drop table UMA_ServeRAID_Controllers
go

create table UMA_ServeRAID_Controllers (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   DeviceID             varchar(64)    NULL,
   Model                varchar(64)    NULL,
   Manufacturer         varchar(64)    NULL,
   Slot                 varchar(20)    NULL,
   BIOS_Version         varchar(64)    NULL,
   Firmware_Version     varchar(64)    NULL,
   Driver_Version       varchar(64)    NULL,
   Stripe_Size          varchar(20)    NULL,
   Initiator_IDs        varchar(32)    NULL,
   Clustering           varchar(32)    NULL,
   Cache_Battery_Status varchar(255)   NULL )
go

alter table UMA_ServeRAID_Controllers add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VServeRAID_Controllers
go

create view UMA_VServeRAID_Controllers
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_Controllers.*
from
   COMPUTER, UMA_ServeRAID_Controllers
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_Controllers.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_Controllers')
go

--
-- ServeRAID Disk Drives Table and View
drop table UMA_ServeRAID_Disk_Drives
go

create table UMA_ServeRAID_Disk_Drives (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   DeviceID          varchar(64)    NULL,
   ChannelID         varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   Firmware          varchar(64)    NULL,
   Capacity          varchar(64)    NULL,
   Model             varchar(64)    NULL,
   Manufacturer      varchar(64)    NULL,
   FRU               varchar(64)    NULL,
   Serial_Number     varchar(64)    NULL )
go

alter table UMA_ServeRAID_Disk_Drives add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VServeRAID_Disk_Drives
go

create view UMA_VServeRAID_Disk_Drives
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_Disk_Drives.*
from
   COMPUTER, UMA_ServeRAID_Disk_Drives
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_Disk_Drives.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_Disk_Drives')
go

--
-- ServeRAID Enclosure Table and View
drop table UMA_ServeRAID_Enclosures
go

create table UMA_ServeRAID_Enclosures (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   DeviceID          varchar(64)    NULL,
   ChannelID         varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   FirmwareLevel     varchar(64)    NULL,
   Manufacturer      varchar(64)    NULL,
   Model             varchar(64)    NULL,
   Serial_Number     varchar(64)    NULL )
go

alter table UMA_ServeRAID_Enclosures add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VServeRAID_Enclosures
go

create view UMA_VServeRAID_Enclosures
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_Enclosures.*
from
   COMPUTER, UMA_ServeRAID_Enclosures
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_Enclosures.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_Enclosures')
go

--
-- ServeRAID Logical Drive Table and View
drop table UMA_ServeRAID_Logical_Drives
go

create table UMA_ServeRAID_Logical_Drives (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   LogicalDriveID    varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   ArrayID           varchar(64)    NULL,
   RAID_Level        varchar(32)    NULL,
   Data_Space        varchar(20)    NULL,
   Install_Date      varchar(25)    NULL )
go

alter table UMA_ServeRAID_Logical_Drives add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VServeRAID_Logical_Drives
go

create view UMA_VServeRAID_Logical_Drives
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_ServeRAID_Logical_Drives.*
from
   COMPUTER, UMA_ServeRAID_Logical_Drives
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_ServeRAID_Logical_Drives.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VServeRAID_Logical_Drives')
go

--
-- RAID Controller Table and View
drop table UMA_RAID_Controllers
go

create table UMA_RAID_Controllers (
   COMPUTER_SYS_ID      varchar(64)    NOT NULL,
   Row_Index            varchar(5)     NOT NULL,
   DeviceID             varchar(64)    NULL,
   Model                varchar(64)    NULL,
   Manufacturer         varchar(64)    NULL,
   Slot                 varchar(20)    NULL,
   BIOS_Version         varchar(64)    NULL,
   Firmware_Version     varchar(64)    NULL,
   Driver_Version       varchar(64)    NULL,
   Stripe_Size          varchar(20)    NULL,
   Initiator_IDs        varchar(32)    NULL,
   Clustering           varchar(32)    NULL,
   Cache_Battery_Status varchar(255)   NULL )
go

alter table UMA_RAID_Controllers add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VRAID_Controllers
go

create view UMA_VRAID_Controllers
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Controllers.*
from
   COMPUTER, UMA_RAID_Controllers
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Controllers.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Controllers')
go

--
-- RAID Disk Drive Table and View
drop table UMA_RAID_Disk_Drives
go

create table UMA_RAID_Disk_Drives (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   DeviceID          varchar(64)    NULL,
   ChannelID         varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   Firmware          varchar(64)    NULL,
   Capacity          varchar(64)    NULL,
   Model             varchar(64)    NULL,
   Manufacturer      varchar(64)    NULL,
   FRU               varchar(64)    NULL,
   Serial_Number     varchar(64)    NULL )
go

alter table UMA_RAID_Disk_Drives add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VRAID_Disk_Drives
go

create view UMA_VRAID_Disk_Drives
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Disk_Drives.*
from
   COMPUTER, UMA_RAID_Disk_Drives
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Disk_Drives.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Disk_Drives')
go

--
-- RAID Enclosure Table and View
drop table UMA_RAID_Enclosures
go

create table UMA_RAID_Enclosures (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   DeviceID          varchar(64)    NULL,
   ChannelID         varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   Firmware_Level    varchar(64)    NULL,
   Manufacturer      varchar(64)    NULL,
   Model             varchar(64)    NULL,
   Serial_Number     varchar(64)    NULL )
go

alter table UMA_RAID_Enclosures add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VRAID_Enclosures
go

create view UMA_VRAID_Enclosures
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Enclosures.*
from
   COMPUTER, UMA_RAID_Enclosures
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Enclosures.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Enclosures')
go

--
-- RAID Logical Drive Table and View
drop table UMA_RAID_Logical_Drives
go

create table UMA_RAID_Logical_Drives (
   COMPUTER_SYS_ID   varchar(64)    NOT NULL,
   Row_Index         varchar(5)     NOT NULL,
   LogicalDriveID    varchar(64)    NULL,
   ControllerID      varchar(64)    NULL,
   ArrayID           varchar(64)    NULL,
   RAID_Level        varchar(32)    NULL,
   Data_Space        varchar(20)    NULL,
   Install_Date      varchar(25)    NULL )
go

alter table UMA_RAID_Logical_Drives add primary key ( COMPUTER_SYS_ID, Row_Index )
go

drop view UMA_VRAID_Logical_Drives
go

create view UMA_VRAID_Logical_Drives
as
select
   COMPUTER.TME_OBJECT_ID,
   COMPUTER.TME_OBJECT_LABEL,
   UMA_RAID_Logical_Drives.*
from
   COMPUTER, UMA_RAID_Logical_Drives
where
   COMPUTER.COMPUTER_SYS_ID =
   UMA_RAID_Logical_Drives.COMPUTER_SYS_ID
go

insert into QUERY_VIEWS (VIEW_NAME) values ('UMA_VRAID_Logical_Drives')
go

