
#
#   IBM UMS event class definition statements
#

#   Generic Event

CLASS UMS_GenericEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGGenericEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGGenericEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

#   Temperature Event

CLASS UMS_TemperatureNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGTemperatureEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGTemperatureEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_TemperatureOutOfRange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGTemperatureEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGTemperatureEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_TemperatureCriticallyOutOfRange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGTemperatureEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGTemperatureEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   Voltage Event

CLASS UMS_VoltageNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGVoltageEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGVoltageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_VoltageOutOfRange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGVoltageEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGVoltageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_VoltageCriticallyOutOfRange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGVoltageEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGVoltageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

#   Chassis Event

CLASS UMS_ChassisInPlace
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGChassisEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGChassisEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_ChassisIntruded
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGChassisEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGChassisEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   Fan Event

CLASS UMS_FanOperational
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGFanEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGFanEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_FanOutOfOrder
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGFanEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGFanEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

#   Processor Event

CLASS UMS_Processor
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGProcessorEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGProcessorEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_ProcessorRemoved
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGProcessorEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGProcessorEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   Storage Event

CLASS UMS_StorageNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGStorageEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGStorageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_StorageLow
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGStorageEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGStorageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_StorageVeryLow
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGStorageEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGStorageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   Asset Event

CLASS UMS_AssetChanged
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGAssetEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGAssetEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   SMART Event

CLASS UMS_SMARTNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGSMARTEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGSMARTEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_SMARTWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGSMARTEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGSMARTEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_SMARTCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGSMARTEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGSMARTEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   POST Event

CLASS UMS_POSTEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGPOSTEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGPOSTEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   Configuration Change Event

CLASS UMS_ConfigurationChanged
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGConfigurationChangeEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGConfigurationChangeEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#   LANLeash Event

CLASS UMS_LANLeashEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGLANLeashEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGLANLeashEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;
    msg = PRINTF("%s from system %s",$V3,$F1);
END



#   Lease Expiration Event

CLASS UMS_LeaseExpiredNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGLeaseExpirationEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGLeaseExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_LeaseExpiredWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGLeaseExpirationEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGLeaseExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_LeaseExpiredCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGLeaseExpirationEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGLeaseExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

#   Warranty Expiration Event

CLASS UMS_WarrantyExpiredNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGWarrantyExpirationEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGWarrantyExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_WarrantyExpiredWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGWarrantyExpirationEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGWarrantyExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_WarrantyExpiredCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGWarrantyExpirationEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGWarrantyExpirationEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END



# R-NIC Adapter Event

CLASS UMS_RedundantNetworkAdapterEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGRedundantNetworkAdapterEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGRedundantNetworkAdapterEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# R-NIC Adapter switchover Event

CLASS UMS_RedundantNetworkAdapterSwitchoverEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGRedundantNetworkAdapterSwitchoverEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGRedundantNetworkAdapterSwitchoverEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# R-NIC Adapter Switchback Event

CLASS UMS_RedundantNetworkAdapterEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGRedundantNetworkAdapterSwitchbackEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGRedundantNetworkAdapterSwitchbackEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# Processor PF Event

CLASS UMS_ProcessorPFNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGProcessorPFEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGProcessorPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_ProcessorPFWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGProcessorPFEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGProcessorPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_ProcessorPFCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGProcessorPFEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGProcessorPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# Memory PF Event

CLASS UMS_MemoryPFNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGMemoryPFEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGMemoryPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_MemoryPFWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGMemoryPFEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGMemoryPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_MemoryPFCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGMemoryPFEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGMemoryPFEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# PFA Event

CLASS UMS_PFAEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGPFAEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGPFAEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# PowerSupply Event

CLASS UMS_PowerSupplyNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGPowerSupplyEventSeverity"), VALUE(=,0) ;
    3: ATTR(=,"iBMPSGPowerSupplyEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_PowerSupplyWarning
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGPowerSupplyEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGPowerSupplyEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

CLASS UMS_PowerSupplyCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGPowerSupplyEventSeverity"), VALUE(=,2) ;
    3: ATTR(=,"iBMPSGPowerSupplyEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# ErrorLog Event

CLASS UMS_ErrorLogEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGErrorLogEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGErrorLogEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# RemoteLogin Event

CLASS UMS_RemoteLoginEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGRemoteLoginEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGRemoteLoginEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# NetworkAdapterFailed Event

CLASS UMS_NetworkAdapterFailedEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGNetworkAdapterFailedEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGNetworkAdapterFailedEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# NetworkAdapterOffline Event

CLASS UMS_NetworkAdapterOfflineEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGNetworkAdapterOfflineEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGNetworkAdapterOfflineEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# NetworkAdapterOnline Event

CLASS UMS_NetworkAdapterOnlineEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGNetworkAdapterOnlineEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGNetworkAdapterOnlineEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# SPPowerSupply Event

CLASS UMS_SPPowerSupplyEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGSPPowerSupplyEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGSPPowerSupplyEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# DASDBackplane Event

CLASS UMS_DASDBackplaneEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGDASDBackplaneEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGDASDBackplaneEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# GenericFan Event

CLASS UMS_GenericFanEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGGenericFanEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGGenericFanEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END

# GenericVoltage Event

CLASS UMS_GenericVoltageEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159") ;
    2: ATTR(=,"iBMPSGGenericVoltageEventSeverity"), VALUE(=,1) ;
    3: ATTR(=,"iBMPSGGenericVoltageEventDescription") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    description = $V3 ;

    msg = PRINTF("%s from system %s",$V3,$F1);
END


#
#  Netfinity Director event class definitions
#

CLASS Netfinity_Director_Test_Event
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201.1.3") ;
    2: ATTR(=,"trapSeverity") ;
    3: ATTR(=,"trapOriginator") ;
    4: ATTR(=,"trapText");
    5: ATTR(=,"trapCategory");
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapOriginator = $V3;
    description = $V4;
    trapCategory = $V5;
    msg = PRINTF("System %s sent a test trap described as follows: %s", $V3,$V4);
END

CLASS Netfinity_Director_Event
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Unknown") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("System %s had an unknown trap described as follows: %s",$V5,$V4);
END

CLASS Netfinity_Director_Event_INFO
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Harmless") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("For your information, system %s had a trap described as follows: %s",$V5,$V4);
END

CLASS Netfinity_Director_Event_WARNING
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Warning") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("System %s had a trap described as follows: %s",$V5,$V4);
END

CLASS Netfinity_Director_Event_MINOR
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Minor") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("System %s had a trap described as follows: %s",$V5,$V4);
END

CLASS Netfinity_Director_Event_CRITICAL
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Critical") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("System %s had a trap described as follows: %s",$V5,$V4);
END

CLASS Netfinity_Director_Event_FATAL
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.159.201") ;
    2: ATTR(=,"trapSeverity"), VALUE(CONTAINS, "Fatal") ;
    3: ATTR(=,"trapSenderName") ;
    4: ATTR(=,"trapText") ;
    5: ATTR(=,"trapOriginator") ;
    6: ATTR(=,"trapCategory") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    trapSenderName = $V3;
    description = $V4 ;
    trapOriginator = $V5;
    trapCategory = $V6;

    msg = PRINTF("System %s had a trap described as follows: %s",$V5,$V4);
END


# AOL Traps

CLASS UMS_AOLPresenceHeartbeat
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 0;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Presence heartbeat expired in system %s", $V3);
END

CLASS UMS_AOLCoverTamper
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 1;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Cover tampered in system %s", $V3);
END

CLASS UMS_AOLVoltageFanTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 2;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Voltage/fan/Temperature out of specification in system %s", $V3);
END

CLASS UMS_AOLLANLeash
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 3;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("LAN leash tampered in system %s", $V3);
END

CLASS UMS_AOLTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 4;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Temperature out of specification in system %s", $V3);
END

CLASS UMS_AOLProcessorMissing
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 5;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Processor missing in system %s", $V3);
END

CLASS UMS_AOLProcessorTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 6;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Processor over temperature in system %s", $V3);
END

CLASS UMS_AOLWatchdog
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 7;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Watchdog event has occurred in system %s", $V3);
END

CLASS UMS_AOLPOST
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 8;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("P.O.S.T. event has occurred in system %s", $V3);
END

CLASS UMS_AOLUnknownEvent
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 9;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Unknown event has occurred in system %s", $V3);
END

CLASS UMS_AOLProcessor0Missing
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 10;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Processor 0 missing in system %s", $V3);
END

CLASS UMS_AOLProcessor1Missing
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 11;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Processor 1 missing in system %s", $V3);
END

CLASS UMS_AOLVoltageFan
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 12;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Voltage/fan out of specification in system %s", $V3);
END

CLASS UMS_AOLVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 13;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Voltage out of specification in system %s", $V3);
END

CLASS UMS_AOLFan
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 14;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Fan out of specification in system %s", $V3);
END

CLASS UMS_AOLFanTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 15;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Fan/temperature out of specification in system %s", $V3);
END

CLASS UMS_AOLVoltageTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 16;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Voltage/temperature out of specification in system %s", $V3);
END

CLASS UMS_AOLUndock
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 17;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Surprised undock event has occurred in system %s", $V3);
END

CLASS UMS_AOLEventClear
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 18;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Event clear has occurred in system %s", $V3);
END

CLASS UMS_AOLClientAdded
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 19;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Client added in system %s", $V3);
END

CLASS UMS_AOLClientDeleted
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.343.2.8.1.1") ;
    2: $SPECIFIC = 20;
    3: ATTR(=,"systemName") ;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
    systemName = $V3;
   
    msg = PRINTF("Client deleted in system %s", $V3);
END

CLASS UMS_PETPresenceHeartbeat
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 2584320;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Presence heartbeat expired", $F1);
END

CLASS UMS_PETCoverTamper
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 356096;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Cover tampered in system", $F1);
END

CLASS UMS_PETVoltageFanTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 552706;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Voltage/fan/temperature out of specification", $F1);
END

CLASS UMS_PETLANLeash
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 356100;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: LAN leash tampered", $F1);
END

CLASS UMS_PETTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 93952;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Temperature out of specification", $F1);
END

CLASS UMS_PETProcessorMissing
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 356099;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Processor missing", $F1);
END

CLASS UMS_PETProcessorTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 487169;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Processor over temperature", $F1);
END

CLASS UMS_PETWatchdog
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 1142534;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Watchdog event has occurred", $F1);
END

CLASS UMS_PETPOST
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 1011456;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: P.O.S.T. event has occurred", $F1);
END

CLASS UMS_PETVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 159488;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Voltage out of specification", $F1);
END

CLASS UMS_PETFan
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 290560;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Fan out of specification", $F1);
END

CLASS UMS_PETFanTemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 683778;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Fan/temperature out of specification", $F1);
END

CLASS UMS_PETUndock
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 356101;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Surprised undock event has occurred", $F1);
END

CLASS UMS_PETEventClear
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 1076994;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Event clear has occurred", $F1);
END

CLASS UMS_PETAlertOnLAN
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.3183.1.1") ;
    2: $SPECIFIC = 2277391;

  FETCH
    1:IPNAME($AGENT_ADDR) ;
  MAP
    hostname = $F1;
   
    msg = PRINTF("Host %s sent a trap described as: Alert on LAN 2 has occurred", $F1);
END
#
#ServeRAID traps
#
CLASS ServeRAID_NoControllers
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2");
    2: $SPECIFIC=201;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: No controllers were found in this system, %d", $F1);
END

CLASS ServeRAID_ControllerFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=202 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Commands not responding on Controller %d.", $V3) ;
END

CLASS ServeRAID_DeadBattery
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=203;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: The battery-backup cache device on Controller %d needs a new battery.", $V3) ;
END

CLASS ServeRAID_DeadBatteryCache
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=204 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: The battery-backup cache device on Controller %d is defective %d", $V3, $V4);
END

CLASS ServeRAID_PollingFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=205 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Background polling commands not responding on Controller %d %d", $V3, $V4);
END

CLASS ServeRAID_ConfigFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2");
    2: $SPECIFIC=206;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Cannot read controller configuration.",$V1);
END

CLASS ServeRAID_ControllerAdded
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=207 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Controller %d has been added to the system.", $V3);
END

CLASS ServeRAID_ControllerReplaced
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=208 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Controller %d has been replaced in the system.", $V3);
END

CLASS ServeRAID_ControllerFailover
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=209 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Controller %d failover detected. Passive controller is now active.", $V3);
END

CLASS ServeRAID_ControllerMismatchedVersions
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=210 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Controller %d version mismatch detected. The BIOS, Firmware, and Driver are not a matched set and are not compatible.", $V3);
END

CLASS ServeRAID_ControllerBatteryOvertemp
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=211 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Controller %d battery has exceeded normal operating temperature.", $V3);
END


CLASS ServeRAID_DriveCritical
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=301 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Logical Drive %d is Critical on Controller %d.", $V3, $V4);
END


CLASS ServeRAID_DriveBlocked
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=302 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Logical Drive %d is Blocked on Controller %d.", $V3, $V4);
END


CLASS ServeRAID_DriveOffline
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=303 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Logical Drive %d is Offline on Controller %d.", $V3, $V4);
END


CLASS ServeRAID_RebuildDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=304 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Rebuilding Logical Drive %d on Controller %d.", $V3, $V4);
END


CLASS ServeRAID_RebuildComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=305 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Rebuild complete on Logical Drive %d of Controller %d.", $V3, $V4);
END


CLASS ServeRAID_RebuildFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=306 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Rebuild failed on Logical Drive %d of Controller %d %d.", $V3, $V4, $V5);
END


CLASS ServeRAID_SyncDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=307 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Synchronizing Logical Drive %d on Controller %d.",$V3, $V4);
END


CLASS ServeRAID_SyncComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=308 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Synchronization complete on Logical Drive %d of Controller %d.",$V3, $V4);
END


CLASS ServeRAID_SyncFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=309 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Synchronization failed on Logical Drive %d of Controller %d %d.",$V3, $V4, $V5);
END


CLASS ServeRAID_MigrationDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=310 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Migrating Logical Drive %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_MigrationComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=311 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Migration complete on Logical Drive %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_MigrationFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=312 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Migration failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_CompressionDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=313 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Compressing Logical Drive %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_CompressionComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=314 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Compression complete on Logical Drive %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_CompressionFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=315 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Compression failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_DecompressionDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=316 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Decompressing Logical Drive %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_DecompressionComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=317 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Decompression complete on Logical Drive %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_DecompressionFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=318 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Decompression failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_FlashCopyDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=319 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: FlashCopying Logical Drive %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_FlashCopyComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=320 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: FlashCopy complete on Logical Drive %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_FlashCopyFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=321 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: FlashCopy failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_ArrayRebuildDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=322 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Rebuilding Array %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_ArrayRebuildComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=323 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Rebuild complete on Array %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_ArrayRebuildFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=324 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Rebuild failed on Array %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_ArraySyncDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=325 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Synchronizing Array %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_ArraySyncComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=326 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Synchronization complete on Array %d of Controller %d.",$V3,$V4);
END


CLASS ServeRAID_ArraySyncFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=327 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Synchronization failed on Array %d of Controller %d %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_ArrayFlashCopyDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=328 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: FlashCopying Array %d on Controller %d.",$V3,$V4);
END


CLASS ServeRAID_ArrayFlashCopyComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=329 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: FlashCopy complete on Array %d of Controller %d.",$V3,$V4);
END

CLASS ServeRAID_ArrayFlashCopyFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=330 ;
    3: ATTR(=,"ibmServeRaidTrapArray");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: FlashCopy failed on Array %d of Controller %d %d.",$V3,$V4,$5);
END

CLASS ServeRAID_LogicalDriveUnblocked
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=331 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Logical Drive %d is unblocked on Controller %d.",$V3,$V4);
END

CLASS ServeRAID_CompactionDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=332 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Compacting Logical Drive %d on Controller %d.",$V3,$V4);
END

CLASS ServeRAID_CompactionComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=333 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Compaction complete on Logical Drive %d of Controller %d.",$V3,$V4);
END

CLASS ServeRAID_CompactionFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=334 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Compaction failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END

CLASS ServeRAID_ExpansionDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=335 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Expanding Logical Drive %d on Controller %d.",$V3,$V4);
END

CLASS ServeRAID_ExpansionComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=336 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Expansion complete on Logical Drive %d of Controller %d.",$V3,$V4);
END

CLASS ServeRAID_ExpansionFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=337 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Expansion failed on Logical Drive %d of Controller %d %d.",$V3,$V4,$V5);
END

CLASS ServeRAID_LogicalDriveCriticalPeriodic
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=338 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Periodic scan found 1 or more critical logical drives on Controller %d.",$V3);
END

CLASS ServeRAID_DefunctDrive
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=401 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: A drive is Defunct on Controller %d, Channel %d, SCSI ID %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_PfaDrive
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=402 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: PFA detected on Controller %d, Channel %d, SCSI ID %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_DefunctReplaced
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=403 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: A drive is set to Hot-Spare on Controller %d, Channel %d, SCSI ID %d.",$V3,$V4,$V5);
END

CLASS ServeRAID_DefunctDriveFRU
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=404 ;
    3: ATTR(=,"ibmServeRaidTrapFru");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
    6: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Defunct drive (FRU Part # %d} on controller %d, channel %d, SCSI ID %d.",$V3,$V4,$V5,$V6);
END


CLASS ServeRAID_PfaDriveFRU
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=405 ;
    3: ATTR(=,"ibmServeRaidTrapFru");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
    6: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: PFA drive (FRU Part # %d) on Controller %d, Channel %d, SCSI ID %d.",$V3,$V4,$V5,$V6);
END


CLASS ServeRAID_UnsupportedDrive
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=406 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Unsupported physical drive found on Controller %d, Channel %d, SCSI ID %d.",$V3,$V4,$V5);
END


CLASS ServeRAID_EnclosureOK
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=501 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Enclosure device responding on Controller %d, Channel %d.",$V3,$V4);
END


CLASS ServeRAID_EnclosureFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=502 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Enclosure device not responding on Controller %d, Channel %d.",$V3,$V4);
END


CLASS ServeRAID_FanOk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=503 ;
    3: ATTR(=,"ibmServeRaidTrapFan");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Enclosure fan %d on Controller %d, Channel %d is now operational.",$V3,$V4,$V5) ;
END


CLASS ServeRAID_FanFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=504 ;
    3: ATTR(=,"ibmServeRaidTrapFan");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Enclosure fan %d on Controller %d, Channel %d is malfunctioning.",$V4,$V4,$V5);
END


CLASS ServeRAID_FanInstalled
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=505 ;
    3: ATTR(=,"ibmServeRaidTrapFan");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Enclosure fan %d on Controller %d, Channel %d has been installed.",$V3,$V4,$V5);
END


CLASS ServeRAID_FanRemoved
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=506 ;
    3: ATTR(=,"ibmServeRaidTrapFan");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Enclosure fan %d on Controller %d, Channel %d has been removed.",$V3,$V4,$V5);
END


CLASS ServeRAID_TempOk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=507 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Enclosure temperature is in normal range on Controller %d, Channel %d.",$V3,$V4);
END


CLASS ServeRAID_TempFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=508 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Enclosure temperature is out of normal range on Controller %d, Channel %d.",$V3,$V4);
END


CLASS ServeRAID_PowerSupplyOk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=509 ;
    3: ATTR(=,"ibmServeRaidTrapPowerSupply");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Enclosure power supply %d on Controller %d, Channel %d is now operational.",$V3,$V4,$V5);
END


CLASS ServeRAID_PowerSupplyFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=510 ;
    3: ATTR(=,"ibmServeRaidTrapPowerSupply");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Error: Enclosure power supply %d on Controller %d, Channel %d is malfunctioning.",$V3,$V4,$V5);
END


CLASS ServeRAID_PowerSupplyInstalled
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=511 ;
    3: ATTR(=,"ibmServeRaidTrapPowerSupply");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: Enclosure power supply %d on Controller %d, Channel %d has been installed.",$V3,$V4,$V5);
END


CLASS ServeRAID_PowerSupplyRemoved
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=512 ;
    3: ATTR(=,"ibmServeRaidTrapPowerSupply");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapChannel");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Warning: Enclosure power supply %d on Controller %d, Channel %d has been removed.",$V3,$V4,$V5);
END


CLASS ServeRAID_TestTrap
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=601 ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("Informational: %d sent a ServeRAID Test Trap.", $F1);
END 
#
# ServeRAID traps added in 4.20 ####
#
CLASS ServeRAID_ControllerBadStripes
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=215 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = WARNING ; 
    msg = PRINTF("Warning: One or more logical drives contain a bad stripe: Controller %d.", $V3);
END

CLASS ServeRAID_ControllerBatteryTempNormal
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=216 ;
    3: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Controller %d battery operating temperature is normal.", $V3);
END

CLASS ServeRAID_CopyBackDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=339 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Copy back in progress on Logical Drive %d on Controller %d.", $V3, $V4);
END

CLASS ServeRAID_CopyBackComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=340 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Copy back complete on Logical Drive %d of Controller %d.", $V3, $V4);
END

CLASS ServeRAID_CopyBackFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=341 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = CRITICAL ; 
    msg = PRINTF("Error: Copy back failed on Logical Drive %d of Controller %d.  Error Code: %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_InitDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=342 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Initialization in progress on Logical Drive %d on Controller %d.", $V3, $V4);
END

CLASS ServeRAID_InitComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=343 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Initialization complete on Logical Drive %d of Controller %d.", $V3, $V4);
END

CLASS ServeRAID_InitFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=344 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
    5: ATTR(=,"ibmServeRaidTrapErrorCode");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = CRITICAL ; 
    msg = PRINTF("Error: Initialization failed on Logical Drive %d of Controller %d.  Error code: %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_LogicalDriveOK
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=345 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Logical Drive %d of Controller %d is normal.", $V3, $V4);
END

CLASS ServeRAID_LogicalDriveAdded
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=346 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Added Logical Drive %d of Controller %d.", $V3, $V4);
END

CLASS ServeRAID_LogicalDriveRemoved
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=347 ;
    3: ATTR(=,"ibmServeRaidTrapLogicalDrive");
    4: ATTR(=,"ibmServeRaidTrapController");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Removed Logical Drive %d of Controller %d.", $V3, $V4);
END

CLASS ServeRAID_DriveAdded
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=407 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Drive added on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveRemoved
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=408 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Drive removed on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveClearDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=409 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Clear in progress on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveClearComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=410 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Clear complete on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveClearFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=411 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
    6: ATTR(=,"ibmServeRaidTrapErrorCode");    
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = CRITICAL ; 
    msg = PRINTF("Error: Clear failed on Controller %d, Channel %d, Device ID %d.  Error code: %d", $V3, $V4, $V5, $V6);
END

CLASS ServeRAID_DriveSyncDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=412 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Synchronization in progress on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveSyncComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=413 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Synchronization complete on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveSyncFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=414 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
    6: ATTR(=,"ibmServeRaidTrapErrorCode");    
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = CRITICAL ; 
    msg = PRINTF("Error: Synchronization failed on Controller %d, Channel %d, Device ID %d. Error code: %d", $V3, $V4, $V5, $V6);
END

CLASS ServeRAID_DriveVerifyDetected
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=415 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Verify in progress on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveVerifyComplete
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=416 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = HARMLESS ; 
    msg = PRINTF("Informational: Verify complete on Controller %d, Channel %d, Device ID %d.", $V3, $V4, $V5);
END

CLASS ServeRAID_DriveVerifyFail
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.167.2") ;
    2: $SPECIFIC=417 ;
    3: ATTR(=,"ibmServeRaidTrapController");
    4: ATTR(=,"ibmServeRaidTrapChannel");
    5: ATTR(=,"ibmServeRaidTrapDeviceId");
    6: ATTR(=,"ibmServeRaidTrapErrorCode");        
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    severity = CRITICAL ; 
    msg = PRINTF("Error: Verify failed on Controller %d, Channel %d, Device ID %d. Error code: %d", $V3, $V4, $V5, $V6);
END
#
# Fibre channel traps
#
CLASS IBMStorage_connUnitStatusChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.3.94") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"connUnitStatus");
    4: ATTR(=,"connUnitState");
     FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("The overall status of the connectivity unit has changed.  Status: %s, State: %s", $V3, $V4);
END

CLASS IBMStorage_connUnitDeletedTrap
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.3.94") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"connUnitId");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("A connectivity unit %s has been deleted from this agent", $V3);
END

CLASS IBMStorage_connUnitEventTrap
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.3.94") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"connUnitEventId");
    4: ATTR(=,"connUnitEventType");
    5: ATTR(=,"connUnitEventObject");
    6: ATTR(=,"connUnitEventDescr");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("An event of type %s, ID: %s has been generated by the connectivity unit %s.  %s", $V4, $V3, $V5, $6);
END

CLASS IBMStorage_connUnitSensorStatusChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.3.94") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"connUnitSensorStatus");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("The overall status of the connectivity unit has changed.  Status: %s", $V3);
END

CLASS IBMStorage_connUnitPortStatusChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.3.94") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"connUnitPortStatus");
    4: ATTR(=,"connUnitPortState");
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1;
    msg = PRINTF("The overall status of the connectivity unit has changed.  Status: %s, State: %s", $V3, $V4);
END

