#!/bin/sh
# 4.20  darules.sh, tec 
#
# Licensed Materials - Property of IBM
#
#
# (C) Copyright IBM Corp. 2003, 2004 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp
#
#  Version 4.20
#
#  This simple Bourne shell script imports Director rules
#
#  ./darules.sh <Rule Base Name>
#
#  The Rule Base which this is applied to must already contain
#  the Director.baroc Classes
#
#  This script MUST be run on your TEC Server!!

# Usage statement
if [ $# -lt 1 ] ; then
        echo "Usage: $0 <Rule Base Name> "
        exit 1
fi

echo "Importing Director Rule Sets into $1"
wrb -imprbrule fan.rls "$1"
wrb -imprbrule serveraid.rls "$1"
wrb -imprbrule storage.rls "$1"
wrb -imprbrule temperature.rls "$1"
wrb -imprbrule ums.rls "$1"
wrb -imprbrule voltage.rls "$1"
wrb -imprbrule chassis.rls "$1"
wrb -imprbrule network.rls "$1"
wrb -imprbrule smart.rls "$1"
wrb -imprbrule power.rls "$1"
wrb -imprbrule processor.rls "$1"
wrb -imprbrule memory.rls "$1"
wrb -imprbrule lease.rls "$1"
wrb -imprbrule warranty.rls "$1"
wrb -imprbrule ibmmp.rls "$1"


echo "Compiling Rule Base $1"
wrb -comprules "$1"

echo "Loading Rule Base $1 into EventServer"
wrb -loadrb "$1"

echo "Restarting EventServer!"
wstopesvr
wstartesvr

echo "Director TEC Rules Loaded!"

