#!/bin/sh
# 4.20  datec.sh, tec 
#
# Licensed Materials - Property of IBM
#
#
# (C) Copyright IBM Corp. 2004, 2004 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp
#
#  Version 4.20
#
#  This simple Bourne shell script creates a TEC rule base
#  and loads the Director baroc file into it.
#
#  ./datec.sh <Rule Base Name> <Rule Base Directory> [Source Rule Base]
#
#  Source Rule Base is Default if not provided
#
#  This script MUST be run on your TEC Server!!

# Usage statement
if [ $# -lt 3 ] ; then
        echo "Usage: $0 <Rule Base Name> <Rule Base Directory> [Source Rule Base]"
        exit 1
fi

if [ $# -eq 3 ] ; then
	source_rb="$3"
else
	source_rb='Default'
fi

mode=$3
   
echo "Creating Rule Base $1 in $2"
wrb -crtrb -path "$2" "$1"

echo "Copying Rule Base $source_rb to $1"
wrb -cprb -classes -rulesets -rulepacks -targets -delete "$source_rb" "$1"

echo "Importing Director Classes into $1"
wrb -imprbclass Director.baroc "$1" 
wrb -imprbclass ibmmp.baroc "$1" 

echo "Deleting target EventServer"
wrb -delrbtarget EventServer "$1"

echo "Compiling Rule Base $1"
wrb -comprules "$1"

echo "Loading Rule Base $1 into EventServer"
wrb -loadrb "$1"

echo "Creating TEC Event Source Director Agent"
wcrtsrc -S @EventServer -b UMS -l "Director Agent" UM_SERVICES

echo "Restarting EventServer!"
wstopesvr
wstartesvr

echo "Director TEC Integration complete!"


