#CDS file for IBM System Management Processors
#
# IBM Remote Supervisor Adapter SNMP OOB
#
CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText") ;
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText") ;
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END
#some single fan failures may be critical
CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SecondaryDevice
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=15 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SecondaryDevice
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=15 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_ApplicationAlert
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=22 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOff
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=23 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOn
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=24 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmRsTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmRsTrapMsgText");
    5: ATTR(=,"ibmRsTrapSpTxtId") ;
    6: ATTR(=,"ibmRsTrapSysUuid") ;
    7: ATTR(=,"ibmRsTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END
#
# IBM Remote Supervisor Adapter II SNMP OOB
#
CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText") ;
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText") ;
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

# some RSA II single fan failures may be critical
CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ;  
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ;  
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_IncompatHardwareCfg
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=36 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_IncompatHardwareCfg
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=36 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantModule
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=32 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantModule
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=32 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RemoteLogin
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=30 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_EventLogFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=7 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_EventLogFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=7 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_EventLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=14 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_EventLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=14 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SecondaryDevice
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=15 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_ApplicationAlert
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=22 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOff
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=23 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOn
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=24 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_KVMSwitch
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=33 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_KVMSwitch
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=33 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_Inventory
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=34 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=35 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=35 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NetworkChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=37 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NetworkChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.4") ;
    2: $SPECIFIC=37 ;
    3: ATTR(=,"ibmSpTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmSpTrapMsgText");
    5: ATTR(=,"ibmSpTrapSpTxtId") ;
    6: ATTR(=,"ibmSpTrapSysUuid") ;
    7: ATTR(=,"ibmSpTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END
#
# IBM Bladecenter Management Module SNMP OOB
#
CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText") ;
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=0 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText") ;
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_CriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=1 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PhysicalIntrusion
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=2 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=3 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=4 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_HardDisk
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=5 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_VRM
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=6 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantPowerSupply
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=10 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

# some MM single fan failures may be critical
CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ; 
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SingleFanFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=11 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleSwitchFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=31 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_MultipleSwitchFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=31 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_IncompatHardwareCfg
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=36 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,0) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = CRITICAL ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_IncompatHardwareCfg
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=36 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalTemperature
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=12 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NonCriticalVoltage
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=13 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantModule
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=32 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,2) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_RedundantModule
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=32 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SecondaryDevice
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=15 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PostTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=20 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=21 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_ApplicationAlert
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=22 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ;
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOff
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=23 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PowerOn
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=24 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemBootFailure
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=25 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_OSLoaderTimeout
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=26 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END


CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_PFA
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=27 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_KVMSwitch
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=33 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_KVMSwitch
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=33 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_Inventory
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=34 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=35 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_SystemLogNearFull
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=35 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NetworkChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=37 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,4) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = WARNING ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END

CLASS IBMMP_NetworkChange
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.2.6.158.3") ;
    2: $SPECIFIC=37 ;
    3: ATTR(=,"ibmMMTrapPriority"), VALUE(=,8) ;
    4: ATTR(=,"ibmMMTrapMsgText");
    5: ATTR(=,"ibmMMTrapSpTxtId") ;
    6: ATTR(=,"ibmMMTrapSysUuid") ;
    7: ATTR(=,"ibmMMTrapSysSern") ;
  FETCH
    1:IPNAME($AGENT_ADDR) ;  
  MAP
    hostname = $F1 ;
    eventSenderName= $F1 ;
    eventOriginator = $V5 ;
    originatorUUID = $V6 ;
    originatorSerialNum = $V7 ;
    severity = HARMLESS ; 
    trapPriority = $V3 ;
    msg = PRINTF("%s on system %s.  Reported by %s", $V4,$V5,$F1);
END
